/*
 * Copyright (c) 2014 David Cooke. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 */
package gamefx2.gpl.controls.skin;

import javafx.scene.control.ListView;

import gamefx2.gpl.controls.behaviour.ListViewBehaviour;

/**
 * Replacement for the original ListViewSkin.
 * 
 * @param <ListType>	the type of objects in the list
 */
public class ListViewSkin<ListType>
    extends ListViewSkinBase<ListType>
{
    public ListViewSkin(final ListView<ListType> listView)
    {
	super(listView, new ListViewBehaviour(listView));
    }
}
